Bug 735426 - Add support for DNS SRV to matahari-brokerd
Summary: Add support for DNS SRV to matahari-brokerd
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: matahari
Version: 6.2
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Zane Bitter
QA Contact: Dave Johnson
URL:
Whiteboard:
Depends On: 735425
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-09-02 15:30 UTC by Russell Bryant
Modified: 2011-12-06 11:42 UTC (History)
3 users (show)

Fixed In Version: matahari-0.4.4-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Matahari broker federation could only be configured statically. Consequence: Dynamic configuration of Matahari broker federation was not possible. Change: The Matahari broker now supports querying DNS SRV to find a broker to federate with. Result: Dynamic configuration of Matahari broker federation is now supported.
Clone Of: 735425
Environment:
Last Closed: 2011-12-06 11:42:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1569 normal SHIPPED_LIVE matahari bug fix and enhancement update 2011-12-06 00:39:06 UTC

Description Russell Bryant 2011-09-02 15:30:59 UTC
+++ This bug was initially created as a clone of Bug #735425 +++

Description of problem:

The matahari-brokerd script should have support for Matahari DNS SRV records.  Adam Stokes worked on a patch related to this previously:

https://fedorahosted.org/pipermail/matahari/2011-July/001532.html

This effort needs to be completed as an addition to the matahari-brokerd script.


Version-Release number of selected component (if applicable):

0.4.3

Comment 3 Russell Bryant 2011-11-16 22:14:06 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Matahari broker federation could only be configured statically.
Consequence: Dynamic configuration of Matahari broker federation was not possible.
Change: The Matahari broker now supports querying DNS SRV to find a broker to federate with.
Result: Dynamic configuration of Matahari broker federation is now supported.

Comment 4 errata-xmlrpc 2011-12-06 11:42:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1569.html


Note You need to log in before you can comment on or make changes to this bug.